<html>
  <body>
    <form id='uploadForm' 
      encType="multipart/form-data">
      <input type="file" name="sampleFile" />
      <input type='submit' value='Upload!' />
    </form>
    <form id='downloadForm'>
      <input type="text" name="sampleFile" />
      <input type='submit' value='Download!' />
    </form>
</body>
<script src="js/HttpRequest.js" ></script>
<script src="js/progress.js" ></script>
</html>